#[derive(Debug, PartialEq)]
pub enum Operator {
    Add,
    Sub,
    Mul,
    Div,
    Mod,
}

#[derive(Debug, PartialEq)]
pub enum Expression {
    UnaryOperation(Operator, Box<Expression>),
    InfixOperation(Box<Expression>, Operator, Box<Expression>),
    Integer(i64),
    Unit,
}

impl Expression {}
